<h1 mat-dialog-title>Create</h1>
<div mat-dialog-content>
  <form [formGroup]="createForm" (ngSubmit)="submit()">
    <p>
      <mat-form-field>
        <mat-label>Carrier</mat-label>
        <mat-select formControlName="carrierId" (selectionChange)="countryChange()">
          <mat-option *ngFor="let carrier of carriers" [value]="carrier.id"
          >
            {{carrier.organization}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </p>
    <p>
      <mat-form-field>
        <mat-label>Country</mat-label>
        <mat-select formControlName="countryCouplePermitCountId" (selectionChange)="countryChange()">
          <mat-option *ngFor="let country of countryCouplePermits" [value]="country.id"
          >
            {{country.countryCoupleYearPermitCount.firstCountry.alpha2}} - {{country.countryCoupleYearPermitCount.firstCountry.name.en}}
          </mat-option>
        </mat-select>
      </mat-form-field>
    </p>

    <p>
      <mat-form-field>
        <input type="text" matInput placeholder="permit count" formControlName="permitCount">
      </mat-form-field>
    </p>

    <!--        <div class="button">-->
    <!--          <button type="submit" mat-button>Save</button>s-->
    <!--        </div>-->

  </form>

</div>
<div mat-dialog-actions>
  <button mat-button (click)="onCloseClick()">Close</button>
  <button mat-button (click)="submit()" cdkFocusInitial>Save</button>
</div>
